import { SessionService } from '@ecp-caf/caf-common';
import { LoadingService } from '@farris/ui-loading';
import { Injectable, Component, ViewChild, Input, Output, EventEmitter, ComponentFactoryResolver, Injector, NgModule, LOCALE_ID, defineInjectable } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpHeaders, HttpClientModule } from '@angular/common/http';
import { BsModalService, ModalModule } from '@farris/ui-modal';
import { MessagerService, MessagerModule } from '@farris/ui-messager';
import { TreeTableModule } from '@farris/ui-treetable';
import { DatagridModule } from '@farris/ui-datagrid';
import { FormsModule } from '@angular/forms';
import { LayoutModule } from '@farris/ui-layout';
import { RestfulService, FARRIS_DEVKIT_APP_PROVIDERS } from '@farris/devkit';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AudithelpService {
    constructor() { }
}
AudithelpService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
AudithelpService.ctorParameters = () => [];
/** @nocollapse */ AudithelpService.ngInjectableDef = defineInjectable({ factory: function AudithelpService_Factory() { return new AudithelpService(); }, token: AudithelpService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * 审计相关session
 */
class GSPAuditSession {
    constructor() {
        /** @type {?} */
        const apiPath = '/api/runtime/audit/v1.0';
        this.auditWebApi = apiPath + '/audits';
        this.auditCataWebApi = apiPath + '/audits/category';
        this.sysOrgWebApi = '/api/runtime/sys/v1.0/sysOrgs';
    }
    //判断是否需要查询
    /**
     * @return {?}
     */
    isSearchParamEmpty() {
        console.log("aoipsdjfpoasdjfpoasjdpfoqjepoq");
        if (this.userIds == null && this.functionIds == null && this.orgIds == null) {
            return true;
        }
        else {
            return false;
        }
    }
    //清空查询参数
    /**
     * @return {?}
     */
    clearSearchParam() {
        this.startTime = null;
        this.endTime = null;
        this.userIds = null;
        this.functionIds = null;
        this.orgIds = null;
        this.secretLevel = null;
        this.clientIp = null;
        this.cataId = null;
    }
}
GSPAuditSession.decorators = [
    { type: Injectable }
];
/** @nocollapse */
GSPAuditSession.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * 系统组织restful服务
 */
class AuditCataService {
    /**
     * @param {?} rest
     * @param {?} auditSession
     * @param {?} session
     */
    constructor(rest, auditSession, session) {
        this.rest = rest;
        this.auditSession = auditSession;
        this.session = session;
    }
    /**
     * @return {?}
     */
    getAllAuditCatas() {
        /** @type {?} */
        const allAuditCatasUrl = `${this.auditSession.auditCataWebApi}/all`;
        /** @type {?} */
        const sessionId = this.session.getUserSessionId();
        /** @type {?} */
        const headers = new HttpHeaders().set("Content-Type", "application/json");
        return this.rest.get(allAuditCatasUrl, null, { headers });
    }
    /**
     * @param {?} category
     * @param {?} codeOrName
     * @param {?} pageIndex
     * @param {?} pageSize
     * @return {?}
     */
    getAuditEvent(category, codeOrName, pageIndex, pageSize) {
        /** @type {?} */
        let url = '/api/runtime/audit/v1.0/audits/events?cateId=' + category + "&pageIndex=" + pageIndex + "&pageSize=" + pageSize;
        if (codeOrName != null) {
            url += "&codeOrName=" + codeOrName;
        }
        /** @type {?} */
        const sessionId = this.session.getUserSessionId();
        /** @type {?} */
        const headers = new HttpHeaders().set("SessionId", sessionId);
        return this.rest.get(url, null, { headers });
    }
    /**
     * @return {?}
     */
    getAllAuditEvents() {
        /** @type {?} */
        const allAuditCatasUrl = `${this.auditSession.auditWebApi}/event/all`;
        /** @type {?} */
        const sessionId = this.session.getUserSessionId();
        /** @type {?} */
        const headers = new HttpHeaders().set("Content-Type", "application/json");
        return this.rest.get(allAuditCatasUrl, null, { headers });
    }
    /**
     * @param {?} cateId
     * @return {?}
     */
    getEventsByCateId(cateId) {
        /** @type {?} */
        const Url = `${this.auditSession.auditWebApi}/event/${cateId}`;
        /** @type {?} */
        const sessionId = this.session.getUserSessionId();
        /** @type {?} */
        const headers = new HttpHeaders().set("SessionId", sessionId);
        return this.rest.get(Url, null, { headers });
    }
}
AuditCataService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
AuditCataService.ctorParameters = () => [
    { type: RestfulService },
    { type: GSPAuditSession },
    { type: SessionService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const I18nAuditHelpInfo = {
    'zh-CHS': {
        "Code": "编号",
        "Name": "名称",
        "OK": "确认",
        "Cancel": "取消",
        "Audit_Event_List": "审计事件列表",
        "Audit_Category": "审计类别",
        "Query": "查询",
        "Loading": "数据加载中",
        "Event_Search_Label": "搜索编号或名称",
        "Audit_Event_Title": "审计事件帮助"
    },
    'zh-CHT': {
        "Code": "編號",
        "Name": "名稱",
        "OK": "確認",
        "Cancel": "取消",
        "Audit_Event_List": "审计事件列表",
        "Audit_Category": "审计类别",
        "Query": "查询",
        "Loading": "數據加載中",
        "Event_Search_Label": "搜索編號或名稱",
        "Name_Search": "輸入名稱查找",
        "Audit_Event_Title": "審計事件幫助"
    },
    en: {
        "Code": "Code",
        "Name": "Name",
        "OK": "OK",
        "Cancel": "Cancel",
        "Audit_Event_List": "Audit Event List",
        "Audit_Category": "Audit Category",
        "Query": "Query",
        "Loading": "Loading",
        "Event_Search_Label": "Search code or name",
        "Name_Search": "Enter a name to search for",
        "Audit_Event_Title": "Audit event help"
    }
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AudithelpComponent {
    /**
     * @param {?} auditService
     * @param {?} injector
     * @param {?} cfr
     * @param {?} loadService
     * @param {?} msg
     */
    constructor(auditService, injector, cfr, loadService, msg) {
        this.auditService = auditService;
        this.injector = injector;
        this.cfr = cfr;
        this.loadService = loadService;
        this.msg = msg;
        this.selectAuditcataId = '';
        /**
         * 确认事件
         */
        this.afterConfirm = new EventEmitter();
        /**
         * 关闭事件
         */
        this.afterCancle = new EventEmitter();
        /**
         * 当前选中数据
         */
        this.curSelectedKeys = [];
        this.codeOrName = null;
        this.searchInputText = '';
        this.pageIndex = 1;
        this.pageSize = 20;
        this.pageSizes = [20, 30, 50, 100, 200];
        this.total = 0;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.columns = [
            {
                field: 'code', width: 180, title: I18nAuditHelpInfo[this.curLanguage]['Code'], showTips: true
            },
            {
                field: 'name', width: 180, title: I18nAuditHelpInfo[this.curLanguage]['Name'], showTips: true
            }
        ];
        this.confirmTitle = I18nAuditHelpInfo[this.curLanguage]['OK'];
        this.cancelTitle = I18nAuditHelpInfo[this.curLanguage]['Cancel'];
        this.searchInputText = I18nAuditHelpInfo[this.curLanguage]['Event_Search_Label'];
        this.queryAuditEvent();
    }
    /**
     * @return {?}
     */
    getAuditByCodeOrName() {
        this.selectedData = null;
        this.pageIndex = 1;
        this.queryAuditEvent();
    }
    /**
     * @param {?} auditCataArgs
     * @return {?}
     */
    getAuditByCata(auditCataArgs) {
        this.selectedData = auditCataArgs;
        this.pageIndex = 1;
        this.queryAuditEvent();
    }
    /**
     * 点击分页查询或者分页参数变化后查询
     * @param {?} event 分页参数
     * @return {?}
     */
    pageChange(event) {
        // skip和pageSize必须得重新赋值，因为可能用户重新选择了分页大小或者分页索引
        // 刷新界面按钮数量和焦点
        this.pageIndex = event.pageIndex;
        this.queryAuditEvent();
    }
    /**
     * @param {?} $event
     * @return {?}
     */
    onPageSizeChanged($event) {
        this.pageIndex = 1;
        this.pageSize = $event.pageSize;
        this.queryAuditEvent();
    }
    /**
     * 查询审计事件
     * @return {?}
     */
    queryAuditEvent() {
        /** @type {?} */
        let cateId = null;
        if (this.selectedData != null) {
            /** @type {?} */
            const id = this.selectedData.auditCateId;
            if (id == null || '' == id) {
                cateId = 'all';
            }
            else {
                cateId = id;
            }
        }
        else {
            cateId = 'all';
        }
        this.auditService.getAuditEvent(cateId, this.codeOrName, this.pageIndex, this.pageSize).subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            this.gridData = res['data'];
            this.total = res['total'];
            this.clearSelectedEvent();
        }), (/**
         * @param {?} error
         * @return {?}
         */
        error => {
            console.log(error.error.Message);
        }));
    }
    /**
     * @return {?}
     */
    clearSelectedEvent() {
        this.selectedData = null;
        if (this.dg != null) {
            this.dg.clearSelections();
        }
    }
    /**
     * 确认
     * @return {?}
     */
    confirm() {
        if (this.selectedData == null) {
            this.afterConfirm.next([]);
        }
        else {
            this.afterConfirm.next([this.selectedData]);
        }
        // 取消-目的是在这里让模态框消失
        this.cancle();
    }
    /**
     * @param {?} data
     * @return {?}
     */
    rowClick(data) {
        this.selectedData = data.data;
    }
    /**
     * 取消
     * @return {?}
     */
    cancle() {
        this.afterCancle.next();
    }
    /**
     * @return {?}
     */
    mouseover() {
        if (this.codeOrName !== '') {
            document.getElementById('clearDiv').style.display = "";
        }
    }
    /**
     * @return {?}
     */
    mouseout() {
        document.getElementById('clearDiv').style.display = 'none';
    }
    /**
     * @param {?} value
     * @return {?}
     */
    onKeyUp(value) {
        if (value && value.which === 13) {
            this.getAuditByCodeOrName();
        }
    }
    /**
     * @return {?}
     */
    inputChange() {
        if (this.codeOrName === '') {
            document.getElementById('clearDiv').style.display = "none";
        }
    }
    /**
     * @return {?}
     */
    clearSearch() {
        this.codeOrName = null;
    }
}
AudithelpComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-audithelp',
                template: "<div class=\"farris-main-area flex-column\">\n  <div class=\"flex-fill farris-split-section m-2 farris-overflow-hidden\">\n    <layout [direction]=\"'h'\" [fill]=\"true\">\n      <layout-panel class=\"col-4 d-flex flex-column p-0 ng-star-inserted\" region=\"west\" [showBorder]=\"false\"\n                    [minWidth]=\"150\">\n        <!--3.\u7528farris-main-area\u6491\u5F00\u9AD8\u5EA6-->\n        <div class=\"f-utils-absolute-all h-100 f-utils-flex-column farris-lsection\">\n          <div class=\"d-flex h-100 flex-column farris-overflow-y-auto\" style=\"background-color: white;\">\n            <lib-auditcate-tree #auditEventCataComp [selectKeys]=\"[selectAuditcataId]\"\n                                class=\"d-flex flex-column flex-fill\"\n                                (selectRowChanged)=\"getAuditByCata($event)\"></lib-auditcate-tree>\n          </div>\n        </div>\n      </layout-panel>\n      <layout-panel class=\"f-utils-fill-flex-colum\" region=\"center\" [showBorder]=\"false\" [minWidth]=\"260\">\n        <div class=\"f-utils-absolute-all f-utils-flex-column farris-rsection\" style=\"height: 100%\">\n          <form class=\"farris-form mb-2\" style=\"width:300px;\">\n            <div class=\"f-cmp-inputgroup\">\n              <div (mouseover)=\"mouseover()\" (mouseout)=\"mouseout()\" class=\"input-group\">\n                <input [(ngModel)]=\"codeOrName\"\n                       [ngModelOptions]=\"{standalone: true}\" class=\"form-control\"\n                       (keyup)=\"onKeyUp($event)\"\n                       (ngModelChange)=\"inputChange()\"\n                       [placeholder]=\"searchInputText\">\n                <div class=\"input-group-append\">\n                  <div id=\"clearDiv\" style=\"display: none;\" (click)=\"clearSearch()\"\n                       class=\"input-group-text input-group-clear ng-star-inserted\"><i class=\"f-icon modal_close\"></i>\n                  </div>\n                  <div (click)=\"getAuditByCodeOrName()\" class=\"input-group-text ng-star-inserted\"><i\n                    class=\"k-icon k-i-search\"></i></div>\n                </div>\n              </div>\n            </div>\n          </form>\n          <div class=\"f-utils-fill-flex-column\">\n            <farris-datagrid #dg [columns]=\"columns \" [data]=\"gridData \" [idField]=\" 'id' \"\n                             [fit]=\"true \" [fitColumns]=\"true \"\n                             [autoFitColumns]=\"false \" [multiSelect]=\"false\"\n                             [showCheckbox]=\"true\" [showAllCheckbox]=\"true\" [showGotoInput]=\"true\"\n                             [pagination]=\"true\"\n                             [showPageInfo]=\"true\"\n                             [showPageList]=\"true\"\n                             [pagerOnServer]=\"true\"\n                             [pageList]=\"pageSizes\" [pageSize]=\"pageSize\" [pageIndex]=\"pageIndex\"\n                             [total]=\"total\"\n                             [selectOnCheck]=\"true\"\n                             [checkOnSelect]=\"true\"\n                             [showSelectedList]=\"false\"\n                             [enableMorePageSelect]=\"false\"\n                             (checked)=\"rowClick($event)\"\n                             [useDefaultFilter]=\"true\"\n                             [showLineNumber]=\"false\"\n                             (pageChanged)=\"pageChange($event)\"\n                             (pageSizeChanged)=\"onPageSizeChanged($event)\">\n            >\n            </farris-datagrid>\n          </div>\n\n        </div>\n      </layout-panel>\n    </layout>\n  </div>\n</div>\n\n<ng-template #btnOkAndCancle>\n  <button class=\"btn btn-sm btn-primary\" (click)=\"confirm()\">{{confirmTitle}}</button>\n  <button class=\"btn btn-sm btn-default\" (click)=\"cancle()\">{{cancelTitle}}</button>\n</ng-template>\n\n"
            }] }
];
/** @nocollapse */
AudithelpComponent.ctorParameters = () => [
    { type: AuditCataService },
    { type: Injector },
    { type: ComponentFactoryResolver },
    { type: LoadingService },
    { type: MessagerService }
];
AudithelpComponent.propDecorators = {
    dg: [{ type: ViewChild, args: ['dg',] }],
    bizObjectId: [{ type: Input }],
    curLanguage: [{ type: Input }],
    gridSelectMode: [{ type: Input }],
    afterConfirm: [{ type: Output }],
    afterCancle: [{ type: Output }],
    btnOkAndCancleRef: [{ type: ViewChild, args: ['btnOkAndCancle',] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AuditEventcateTreeComponent {
    /**
     * @param {?} auditCataService
     */
    constructor(auditCataService) {
        this.auditCataService = auditCataService;
        /**
         * 审计类别树上选择的主键
         */
        this.selectKeys = [];
        /**
         * 输出事件
         */
        this.selectRowChanged = new EventEmitter();
        this.expandKeys = [];
        this.cols = [];
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.cols = [
            { field: 'name', title: '', width: 100 }
        ];
        this.auditCataService.getAllAuditCatas().subscribe((/**
         * @param {?} val
         * @return {?}
         */
        (val) => {
            this.treeNodeData = this.makeTree(val);
        }));
    }
    /**
     * @private
     * @param {?} data
     * @return {?}
     */
    makeTree(data) {
        /** @type {?} */
        const r = data.filter((/**
         * @param {?} t
         * @return {?}
         */
        t => t.layer == '1')).map((/**
         * @param {?} t
         * @return {?}
         */
        t => {
            return {
                data: t,
                children: [],
                expanded: true
            };
        }));
        r.forEach((/**
         * @param {?} e
         * @return {?}
         */
        e => {
            e.children = this.makeTreeChildren(data, e.data);
        }));
        return r;
    }
    /**
     * @private
     * @param {?} childs
     * @param {?} treeInfo
     * @return {?}
     */
    makeTreeChildren(childs, treeInfo) {
        return childs.filter((/**
         * @param {?} c
         * @return {?}
         */
        c => c.parentId == treeInfo.id)).map((/**
         * @param {?} d
         * @return {?}
         */
        d => {
            return {
                expanded: d.layer == '1',
                data: d,
                children: this.makeTreeChildren(childs, d)
            };
        }));
    }
    /**
     * 选择的审计类别行
     * @param {?} event
     * @return {?}
     */
    onNodeSelect(event) {
        /** @type {?} */
        const auditCateId = event.node.data.id;
        /** @type {?} */
        const auditCateName = event.node.data.name;
        /** @type {?} */
        const arg = { auditCateId, auditCateName };
        this.selectRowChanged.next(arg);
    }
    /**
     * 清空选项
     * @return {?}
     */
    clearSelect() {
        this.farrisTt.unCheckAllNodes();
    }
}
AuditEventcateTreeComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-auditcate-tree',
                template: "<div class=\"f-utils-fill h-100\">\n  <farris-treetable class=\"table table-striped table-hover flex-auto\" #farrisTt\n                    [data]=\"treeNodeData\" [columns]=\"cols\" [idField]=\"'id'\"\n                    [fixedHeader]=\"true\" [showHeader]=\"false\" [fit]=\"true\" (nodeSelected)=\"onNodeSelect($event)\">\n  </farris-treetable>\n</div>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
AuditEventcateTreeComponent.ctorParameters = () => [
    { type: AuditCataService }
];
AuditEventcateTreeComponent.propDecorators = {
    farrisTt: [{ type: ViewChild, args: ['farrisTt',] }],
    selectKeys: [{ type: Input }],
    isLoadOldData: [{ type: Input }],
    selectRowChanged: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AuditEventHelpComponent {
    /**
     * @param {?} modalService
     * @param {?} farrisMsg
     * @param {?} injector
     * @param {?} cfr
     */
    constructor(modalService, farrisMsg, injector, cfr) {
        this.modalService = modalService;
        this.farrisMsg = farrisMsg;
        this.injector = injector;
        this.cfr = cfr;
        /**
         * 初始选中的权限对象内码
         */
        this.initSelectKeys = [];
        /**
         * 输出事件
         */
        this.afterHelpConfirm = new EventEmitter();
        this.curLanguage = this.injector.get(LOCALE_ID);
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * 弹出Farris模态框帮助
     * @param {?} sessionId
     * @return {?}
     */
    showHelp(sessionId) {
        // if (!sessionId || sessionId === '') {
        //     this.farrisMsg.error('调用帮助时请传递上下文变量!');
        //     return;
        // }
        //this.rtfCommon.sessionId = sessionId;
        /** @type {?} */
        const compFactory = this.cfr.resolveComponentFactory(AudithelpComponent);
        this.funcOpComp = compFactory.create(this.injector);
        this.funcOpComp.instance.curLanguage = this.curLanguage;
        // 获取功能菜单的实例组件
        if (this.initSelectKeys != null && this.initSelectKeys.length > 0) {
            this.initSelectKeys
                .forEach((/**
             * @param {?} key
             * @return {?}
             */
            key => this.funcOpComp.instance.curSelectedKeys.push(key)));
        }
        // 初始化选择的业务对象
        if (this.bizObjectId && this.bizObjectId !== '') {
            this.funcOpComp.instance.bizObjectId = this.bizObjectId;
        }
        /** @type {?} */
        const modalConfig = {
            title: I18nAuditHelpInfo[this.curLanguage]['Audit_Event_Title'],
            width: 1000,
            height: 660,
            buttons: this.funcOpComp.instance.btnOkAndCancleRef,
            showButtons: true,
            showMaxButton: false,
            resizable: true
        };
        // 弹出帮助框
        this.funcOpDialog = this.modalService.show(this.funcOpComp, modalConfig);
        // 取消后
        this.funcOpComp.instance.afterCancle.subscribe((/**
         * @param {?} res
         * @return {?}
         */
        res => {
            // 消失模态框
            this.funcOpDialog.close();
        }));
        // 确认后
        this.funcOpComp.instance.afterConfirm.subscribe((/**
         * @param {?} res
         * @return {?}
         */
        (res) => {
            this.afterHelpConfirm.next(res);
        }));
    }
}
AuditEventHelpComponent.decorators = [
    { type: Component, args: [{
                selector: 'rtf-audit-help',
                template: "",
                styles: [""]
            }] }
];
/** @nocollapse */
AuditEventHelpComponent.ctorParameters = () => [
    { type: BsModalService },
    { type: MessagerService },
    { type: Injector },
    { type: ComponentFactoryResolver }
];
AuditEventHelpComponent.propDecorators = {
    bizObjectId: [{ type: Input }],
    initSelectKeys: [{ type: Input }],
    afterHelpConfirm: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AudithelpModule {
}
AudithelpModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    AudithelpComponent,
                    AuditEventcateTreeComponent,
                    AuditEventHelpComponent
                ],
                imports: [
                    CommonModule,
                    HttpClientModule,
                    LayoutModule,
                    TreeTableModule,
                    // farris
                    ModalModule.forRoot(),
                    MessagerModule.forRoot(),
                    DatagridModule,
                    FormsModule,
                    LayoutModule,
                ],
                entryComponents: [
                    AudithelpComponent
                ],
                providers: [
                    FARRIS_DEVKIT_APP_PROVIDERS,
                    AuditCataService,
                    GSPAuditSession,
                ],
                exports: [
                    AudithelpComponent,
                    AuditEventHelpComponent,
                    AuditEventcateTreeComponent
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { AudithelpService, AudithelpComponent, AudithelpModule, AuditEventHelpComponent, AuditEventcateTreeComponent as ɵc, AuditCataService as ɵa, GSPAuditSession as ɵb };

//# sourceMappingURL=gsp-sys-audit-eventhelp.js.map