import { ComponentFactoryResolver, EventEmitter, Injector, OnInit, TemplateRef } from '@angular/core';
import { AuditEvent } from './auditcate-tree/domain/entities/auditevent.entity';
import { AuditCataService } from './auditcate-tree/domain/auditcata.dataservice';
import { LoadingService } from "@farris/ui-loading";
import { DatagridComponent } from "@farris/ui-datagrid";
import { MessagerService } from "@farris/ui-messager";
export declare class AudithelpComponent implements OnInit {
    private auditService;
    private injector;
    private cfr;
    private loadService;
    private msg;
    dg: DatagridComponent;
    selectAuditcataId: string;
    /**业务对象,负责传递 */
    bizObjectId: string;
    curLanguage: string;
    /**选择模式 */
    gridSelectMode: 'single' | 'multiple';
    /**
     * 确认事件
     */
    afterConfirm: EventEmitter<AuditEvent[]>;
    /**
     * 关闭事件
     */
    afterCancle: EventEmitter<any>;
    btnOkAndCancleRef: TemplateRef<any>;
    /**
     * 功能操作全量数据
     */
    data: AuditEvent[];
    /**
     * 当前UI显示动能操作列表数据
     */
    gridData: AuditEvent[];
    confirmTitle: string;
    cancelTitle: string;
    columns: any;
    selectedData: any;
    /**
     * 当前选中数据
     */
    curSelectedKeys: string[];
    codeOrName: any;
    searchInputText: string;
    pageIndex: number;
    pageSize: number;
    pageSizes: number[];
    total: number;
    constructor(auditService: AuditCataService, injector: Injector, cfr: ComponentFactoryResolver, loadService: LoadingService, msg: MessagerService);
    ngOnInit(): void;
    getAuditByCodeOrName(): void;
    getAuditByCata(auditCataArgs: any): void;
    /**
     * 点击分页查询或者分页参数变化后查询
     * @param event 分页参数
     */
    pageChange(event: any): void;
    onPageSizeChanged($event: any): void;
    /**
     * 查询审计事件
     */
    queryAuditEvent(): void;
    clearSelectedEvent(): void;
    /**
     * 确认
     */
    confirm(): void;
    rowClick(data: any): void;
    /**
     * 取消
     */
    cancle(): void;
    mouseover(): void;
    mouseout(): void;
    onKeyUp(value: any): void;
    inputChange(): void;
    clearSearch(): void;
}
